> ## Documentation Index
> Fetch the complete documentation index at: https://chargecloud.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Controllers / Configurations / List

> Returns the controller's last synchronized OCPP configuration. The cached value stays valid until a configuration refresh is requested and successfully processed. Required permission: control:controllers:configurations:read



## OpenAPI

````yaml /api/core-api/crmiapi.json get /api/v1/control/controllers/{controller_uuid}/configurations
openapi: 3.1.1
info:
  title: chargecloud - Core API
  summary: chargecloud Core API. All around CRM, Asset Management and more.
  version: 1.125.0
  description: chargecloud Core API. All around CRM, Asset Management and more.
servers:
  - url: https://api.chargecloud.dev
    description: Production - chargecloud Core API
  - url: https://demo.chargecloud.de
    description: Sandbox/Dev - chargecloud Core API
security: []
paths:
  /api/v1/control/controllers/{controller_uuid}/configurations:
    get:
      tags:
        - Controllers
      summary: Controllers / Configurations / List
      description: >-
        Returns the controller's last synchronized OCPP configuration. The
        cached value stays valid until a configuration refresh is requested and
        successfully processed. Required permission:
        control:controllers:configurations:read
      operationId: /api/v1/control/controllers/{controller_uuid}/configurations_GET
      parameters:
        - name: controller_uuid
          in: path
          description: UUID of the controller
          required: true
          schema:
            type: string
            pattern: >-
              ^[a-f0-9]{8}\-[a-f0-9]{4}\-4[a-f0-9]{3}\-[89ab][a-f0-9]{3}\-[a-f0-9]{12}$
            description: UUID of the controller
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                required:
                  - configurations
                properties:
                  configurations:
                    type: array
                    items:
                      type: object
                      properties:
                        key:
                          type: string
                          description: OCPP configuration key
                        value:
                          type: string
                          description: OCPP configuration value
                        readonly:
                          type: boolean
                          default: false
                          description: Whether the value is read-only
                      required:
                        - key
                        - value
                        - readonly
                      description: OCPP configuration setting
                    description: OCPP configuration settings
                  updated_at:
                    type: string
                    format: date-time
                    pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(Z|[+-]\d{2}:\d{2})$
                    description: When the cached configuration was last updated
          description: Cached OCPP configuration values for the controller
        '400':
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: string
                    description: Error message
          description: Bad request
        '401':
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: string
                    description: Error message
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: string
                    description: Error message
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: string
                    description: Error message
          description: Not found
        '405':
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: string
                    description: Error message
          description: Method not allowed
        '422':
          content:
            application/json:
              schema:
                type: object
                required:
                  - errors
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        errorKey:
                          type: string
                          description: A key identifying the error
                        message:
                          type: string
                          description: The error message
                        parameter:
                          type: string
                          description: The parameter that caused the error, if any
                      required:
                        - errorKey
                        - message
                        - parameter
                      description: Error
                    description: List of errors
          description: Request validation failed
        '429':
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: string
                    description: Error message
          description: Too many requests
        '500':
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: string
                    description: Error message
          description: Internal server error
      security:
        - bearer:
            - control:controllers
components:
  securitySchemes:
    bearer:
      type: http
      description: OAuth2 Bearer Authorization
      scheme: bearer
      bearerFormat: JWT

````

## Related topics

- [Controllers / Configurations / Update](/api-reference/controllers/controllers-configurations-update.md)
- [Controllers / Get Connection Details](/api-reference/controllers/controllers-get-connection-details.md)
- [Updates a controller](/api-reference/controllers/updates-a-controller.md)
